{
  "name": "documentgithubloader",
  "display_name": "GitHub Document Loader",
  "description": "Use GitHub data as input to this chain",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "githubApi",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "repository",
      "display_name": "Repository Link",
      "kind": "string",
      "required": false,
      "default": ""
    },
    {
      "name": "branch",
      "display_name": "Branch",
      "kind": "string",
      "required": false,
      "default": "main"
    },
    {
      "name": "textSplittingMode",
      "display_name": "Text Splitting",
      "kind": "options",
      "required": true,
      "default": "simple",
      "description": "Splits every 1000 characters with a 200 character overlap"
    },
    {
      "name": "additionalOptions",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "Comma-separated list of paths to ignore, e.g. "
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/document_loaders/DocumentGithubLoader/DocumentGithubLoader.node.ts"
}